Subject: Re: rtp time stamp in RTCP packet....

From: "Nam Kyu Kim" <[email-masked]>
Date: Thu, 24 Feb 2000 17:18:50 +0900

Hello everyone..

I have just subscribed rem-conf e-mail reflector.
And I have received an old interesting e-mails on timestamp in RTP and RTCP
from my fellows.

It may be an out-of-date comments, but in my opinion
there is a different point between timestamp in RTP and timestamp in RTCP.
RTP timestamp follow sampling instant in accordance with clock frequency 
but RTCP timestamp follow sampling instant in accordance with NTP not clock frequency.
And RTCP timestamp units must be translated from NTP units into RTP timestamp units,
because it uses units of RTP timestamp. And according to the RFC1889, that can be implemented 
by relationship between NTP timestamp and RTP timestamp maintained by periodically checking 
the wallclock time at a samplig instant.

What I want to say is that RTCP timestamp reflects the instant time in sending SR 
not adjacent RTP data timestamp.
----------------------------------------------------
Nam Kyu Kim 
R & D Team 9
Mobile Telecommunication Terminal Division
HYUNDAI ELECTRONICS INDUSTRIES Co., Ltd.

TEL : (82-2)580-5511       FAX : (82-2)580-5487
Home : (82-2)2282-3077   C.P. : 017-211-3077
E-mail : [email-masked]
-----------------------------------------------------

> Right again, Bill. I was thinking audio, where each sample = 1 tick. My
> (now minor) point is that you still need to pick an integer for this
> timestamp, so it may not be the actual send time, but rather the closest
> thing.
> 
> -Jonathan R.
> 
> Bill Fenner wrote:
> > 
> > >However, you'll still need to use the sample time of the
> > >last sample obtained before sending the packet, in order to get an
> > >integral number for the RTP timestamp.
> > 
> > That's a little restrictive.  Take a video codec with timestamps in units
> > of 90kHz.  If you're doing 60fps video, there are 1499 integral timestamp
> > values in between each frame that could also be used as the RTP timestamp.
> > 
> >   Bill
> 
> -- 
> Jonathan D. Rosenberg                       200 Executive Drive
> Chief Scientist                             Suite 120 
> dynamicsoft                                 West Orange, NJ 07052
> [email-masked]                     FAX:   (732) 741-4778
> http://www.cs.columbia.edu/~jdrosen         PHONE: (732) 741-7244
> http://www.dynamicsoft.com
> 
>